petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFunctionListGet

Gets an array the contains the entries in PetscFunctionList, this is used by help etc.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscFunctionListGet(PetscFunctionList list,const char ***array,int *n)

Not Collective

### Input Parameter

list -list of types

### Output Parameter

| array | - array of names
| n | - length of array

### Notes

This allocates the array so that must be freed. BUT the individual entries are not copied so should not be freed.

### See Also

PetscFunctionListAdd(), PetscFunctionList

### Level

developer

### Location

src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages